<?php
// no direct access
defined( '_JCE_EXT' ) or die( 'Restricted access' );
class AdvlinkK2{
	function getOptions(){
		$advlink =& AdvLink::getInstance();
		$list = '';
		if( $advlink->checkAccess( 'advlink_k2', '1' ) ){
			$list = '<li id="index.php?option=com_k2"><div class="tree-row"><div class="tree-image"></div><span class="folder k2 nolink"><a href="javascript:;">' . JText::_('K2') . '</a></span></div></li>';
		}
		return $list;	
	}
	function getItems( $args ){	
	global $mainframe;	
		
		$advlink =& AdvLink::getInstance();
		
		require_once(JPATH_SITE .DS. 'components' .DS. 'com_k2' .DS. 'helpers' .DS. 'route.php');
		$sections 	= AdvlinkK2::_section(0);
		$items 		= array();
		$view		= isset($args->view) ? $args->view : '';
		switch ($view) {
		default:
			foreach ($sections as $section) {
				$items[] = array(
					'id'		=>	K2HelperRoute::getCategoryRoute($section->id),
					'name'		=>	$section->name,
					'class'		=>	'folder content'
				);
			}
			
			
			break;
		
			case 'itemlist':
			$articles = AdvlinkK2::_section($args->id);
			foreach ($articles as $article) {
				$items[] = array(
					'id'		=>	K2HelperRoute::getCategoryRoute($article->id),
					'name'		=>	$article->name,
					'class'		=>	'folder content'
				);
			}
			$articles2 = AdvlinkK2::_articles($args->id);
			foreach ($articles2 as $article2) {
				$items[] = array(
					'id'		=>	K2HelperRoute::getItemRoute($article2->id, $args->id),
					'name'		=>	$article2->title,
					'class'		=>	'file'
				);
			}
			break;
		}
		return $items;
	}
	function _section($tt)
	{
		$db		=& JFactory::getDBO();
		$user	=& JFactory::getUser();
		
		$query = 'SELECT id, name, alias'
		. ' FROM #__k2_categories'
		. ' WHERE published = 1'
		. ' AND access <= '.(int) $user->get('aid')
		. ' AND parent = '.(int) $tt
		. ' AND trash = 0'
		//. ' GROUP BY id'
		. ' ORDER BY name'
		;

		$db->setQuery($query);
		return $db->loadObjectList();		
	}
	function _articles($id)
	{
		$db			=& JFactory::getDBO();
		$user		=& JFactory::getUser();
		$advlink 	=& AdvLink::getInstance();
	
	$query = 'SELECT id, title, alias'
		. ' FROM #__k2_items'
		. ' WHERE published = 1'
		. ' AND access <= '.(int) $user->get('aid')
		. ' AND catid = '.(int) $id
		. ' AND trash = 0'
		//. ' GROUP BY id'
		. ' ORDER BY title'
		;

		$db->setQuery($query, 0);
		return $db->loadObjectList();
	}
	}
?>